package com.ruoyi.ems.service;

import java.util.List;

import com.ruoyi.ems.domain.PowerBoxElecEqpt;

/**
 * 动力箱柜电气设备Service接口
 *
 * @author ruoyi
 * @date 2024-08-20
 */
public interface IPowerBoxElecEqptService {
    /**
     * 查询动力箱柜电气设备
     *
     * @param id 动力箱柜电气设备主键
     * @return 动力箱柜电气设备
     */
    PowerBoxElecEqpt selectBoxElecEqptById(Long id);

    /**
     * 查询动力箱柜电气设备列表
     *
     * @param boxCode 动力箱编码
     * @return 动力箱柜电气设备集合
     */
    List<PowerBoxElecEqpt> selectByBoxCode(String boxCode);

    /**
     * 查询动力箱柜电气设备列表
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 动力箱柜电气设备集合
     */
    List<PowerBoxElecEqpt> selectBoxElecEqptList(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 新增动力箱柜电气设备
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    int insertBoxElecEqpt(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 批量-新增动力箱柜电气设备
     *
     * @param boxElecEqpts 动力箱柜电气设备列表
     * @return 结果
     */
    int insertBatch(List<PowerBoxElecEqpt> boxElecEqpts);

    /**
     * 修改动力箱柜电气设备
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    int updateBoxElecEqpt(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 批量删除动力箱柜电气设备
     *
     * @param ids 需要删除的动力箱柜电气设备主键集合
     * @return 结果
     */
    int deleteBoxElecEqptByIds(Long[] ids);

    /**
     * 删除动力箱柜电气设备信息
     *
     * @param id 动力箱柜电气设备主键
     * @return 结果
     */
    int deleteBoxElecEqptById(Long id);

    int deleteByBoxCode(String boxCode);
}
